Since upgrading to 1.7.30.1-3609 ngx_pagespeed_message returns a 403

284 views
Skip to first unread message

Glenn Slaven

unread,
Nov 12, 2013, 12:51:35 AM11/12/13
to ngx-pagesp...@googlegroups.com
Previously we were running 1.6.29.7-3453 and ngx_pagespeed_message worked, however since upgrading to 1.7.30.1-3609 it is now returning a 403 saying 'Writing to ngx_pagespeed_message failed. Please check if it's enabled in pagespeed.conf."

We haven't changed our conf file, these are the relevant lines

pagespeed MessageBufferSize 200000;
location ~ "\.pagespeed\.([a-z]\.)?[a-z]{2}\.[^.]{10}\.[^.]+" { add_header "" ""; }
location ~ "^/ngx_pagespeed_static/" { }
location ~ "^/ngx_pagespeed_beacon$" { }
location /ngx_pagespeed_statistics {  }
location /ngx_pagespeed_message {  }
location /ngx_pagespeed_global_statistics {  }
location /pagespeed_console { }

Any ideas?

Glenn

Glenn Slaven

unread,
Nov 12, 2013, 1:49:02 AM11/12/13
to ngx-pagesp...@googlegroups.com
Sorry, just to clarify, it's not returning a 403, it's returning 200 like it always does, but just reporting the error message Writing to ngx_pagespeed_message failed. Please check if it's enabled in pagespeed.conf

Jeff Kaufman

unread,
Nov 12, 2013, 9:46:27 AM11/12/13
to ngx-pagesp...@googlegroups.com
Testing on jefftk.com which is also running 1.7.30.1 I see this too.
I've opened a bug:
https://github.com/pagespeed/ngx_pagespeed/issues/559
> --
> You received this message because you are subscribed to the Google Groups
> "ngx-pagespeed-discuss" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to ngx-pagespeed-di...@googlegroups.com.
> Visit this group at http://groups.google.com/group/ngx-pagespeed-discuss.
> For more options, visit https://groups.google.com/groups/opt_out.

Jeff Kaufman

unread,
Nov 12, 2013, 2:53:13 PM11/12/13
to ngx-pagesp...@googlegroups.com
I think I've fixed it; could you try building from master?

Glenn Slaven

unread,
Nov 13, 2013, 8:59:04 AM11/13/13
to ngx-pagesp...@googlegroups.com
I'll give it a go, thanks

Centmin Mod George

unread,
Feb 2, 2014, 11:24:51 AM2/2/14
to ngx-pagesp...@googlegroups.com
I'm stilling getting this error with 1.7.30.3 build it seems ?

Jeff Kaufman

unread,
Feb 3, 2014, 11:41:42 AM2/3/14
to ngx-pagesp...@googlegroups.com
This change hasn't been backported to the 1.7 branch.  If you build from master you'll see the fix, but otherwise this won't be out until 1.8.

(In retrospect this would have been a good thing to include in 1.7.30.3; I overlooked it.)


Centmin Mod George

unread,
Feb 3, 2014, 2:09:01 PM2/3/14
to ngx-pagesp...@googlegroups.com
I see thanks Jeff for the clarification as I thought 1.7.30.3 fixed it. I added an option to my auto installer script to build from Git master or from version zip so it's easy to switch between the 2 but might be worth putting in 1.7.30.4 for others.

cheers

Jeff Kaufman

unread,
Feb 3, 2014, 2:39:16 PM2/3/14
to ngx-pagesp...@googlegroups.com
If we do a 1.7.30.4 I'll include this, but I'm hoping a .4 won't be necessary.


--
Reply all
Reply to author
Forward
0 new messages